/*!	
	@file
	@brief	ゲーム側から使う頂点インデックス
*/

#ifndef CIndex_h
#define CIndex_h


#include"../Setup/CompileMode.h"
#include"../Auxiliary/mstring.h"
#include"../template/GlobalPointer.h"


namespace Maid
{
	class CGraphic;
	class CIndex : public GlobalPointer<CGraphic>
	{
	public:
		virtual ~CIndex(){}

		virtual mstring GetID()const=0;

	};
}

#endif
